<?php if(count($this->getGroups())>1): ?>
	<?php
	$locale = Mage::app()->getLocale()->getLocaleCode();

	$order = array( 7 => 0, 8 => 1, 9 => 2, 10 => 3 );
	$sorted_stores = array();
	foreach ($this->getGroups() as $_group)
	{
		if($_group->getId() == 7 && ($locale == 'en_EN' || $locale == 'en_CA'))
		{
			$url = Mage::app()->getStore(12)->getBaseUrl(Mage_Core_Model_Store::URL_TYPE_LINK);
			$_group->setHomeUrl($url);
		}

		if(isset($order[$_group->getId()]))
		{
			$position = $order[$_group->getId()];
			$sorted_stores[$position] = $_group;
		}
	}
	ksort($sorted_stores);
	?>
	<div class="icons-header-hyperlinks center-block ">
		<?php foreach ($sorted_stores as $_group): ?>
			<?php 
			if(!$_group->getHomeUrl() && $storeId = $_group->getData('default_store_id'))
			{
				$url = Mage::app()->getStore($storeId)->getBaseUrl(Mage_Core_Model_Store::URL_TYPE_LINK);
			}else $url = $_group->getHomeUrl();
			?>
			<?php $_selected = ($_group->getId()== $this->getCurrentGroupId()) ? ' active' : '' ?>
			<a href="<?php echo $url ?>" class="icons icon<?php echo ++$i.$_selected ?> pull-left<?php if($i == 1):?> first<?php elseif($i == count($websites)):?> last<?php endif ?>">
				<?php echo $this->__($this->escapeHtml($_group->getName())) ?>
			</a>    
		<?php endforeach ?>
		<!--<div class="clearfix"></div>-->
	</div>
<?php endif ?>